/*!

\page apps_imgcmp The imgcmp Program

\section app__imgcmp The imgcmp Program

\subsection app__imgcmp__synpopsis Synopsis

\c imgcmp [options]

\subsection app__imgcmp__desc Description

The imgcmp command compares two images.  The two images being compared
must have the same geometry (i.e., the same width, height, number of
components, component subsampling factors, etc.).

\subsection app__imgcmp__options Options

The following options are supported:

  - `--help`
    - Print help information and exit.

  - `--version`
    - Display the version information and exit.

  - `--verbose`
    - Increase the verbosity level.

  - `-f $file`
    - Read the primary (i.e., reference) image (for comparison purposes)
      from the file named `$file`.

  - `-F $file`
    - Read the secondary image (for comparison purposes) from the file named
      `$file`.

  - `-m $metric`
    - Use the difference metric specified by `$metric`.
      The `$metric` argument may assume one of the following values:

        - `psnr`: peak signal to noise ratio (PSNR)
        - `mse`: mean squared error (MSE)
        - `rmse`: root mean squared error (RMSE)
        - `pae`: peak absolute error (PAE)
        - `mae`: mean absolute error (MAE)
        - `equal`: equality

  - `--memory-limit $n`
    - Set the memory limit to `$n` bytes.

  - `--debug-level $level`
    - Set the debug level to `$level`.

The `-f` and `-F` options must always be specified.
There is currently no way to explicitly specify the format of the images.
If the format of either image cannot be autodetected, the command will
exit with an error.

\subsection app__imgcmp__examples Examples

Suppose that we have two slightly different versions of an image
stored in files `original.pgm` and `reconstructed.pgm`.
In order to calculate the difference between these images using the PSNR
metric, use the command:

    imgcmp -f original.pgm -F reconstructed.pgm -m psnr

*/
